Skip to main content
GET
List wallet claims

Authorizations

x-api-key
string
header
required

Production API key beginning with o1_launch_.

Path Parameters

address
string
required

Wallet address.

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x1111111111111111111111111111111111111111"

Query Parameters

chain_id
enum<integer>
required

Production chain to query.

Available options:
8453,
4663
Example:

8453

market
enum<string>
default:all

Launch market to include.

Available options:
standard,
rwa,
all
cursor
string

Opaque continuation cursor returned by the previous page. Do not parse or modify it.

Maximum string length: 4096
limit
integer
default:25

Maximum number of claim positions to return.

Required range: 1 <= x <= 50
kind
enum<string>
required

Claim-position collection to query.

Available options:
fee,
vesting
state
enum<string>
default:claimable

Fee positions support claimable or all. Vesting also supports locked and complete.

Available options:
claimable,
locked,
complete,
all
currency_address
string

Filter fee positions by payout currency.

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x1111111111111111111111111111111111111111"

token_address
string

Filter vesting positions by launch token.

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x1111111111111111111111111111111111111111"

include
enum<string>

Set to schedule to include complete vesting schedules. Valid only with kind=vesting.

Available options:
schedule

Response

A page of fee or vesting positions.

data
object[]
required
pagination
object
required
meta
object
required